<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\RaumUebersicht\RaumDetails;

use Kufer\Web\KuferTools\Utils\FilterSettings\Kursorte\KursorteFilterSettingsHelper;

class RaumDetailsUseCase extends \Kufer\Web\KuferTools\Basis\Raumbelegung\Raumdetails\RaumDetailsUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_RAUMBELEGUNG_MA;
  }

  public static function getToolSectionId()
  {
    return 417;
  }

  protected function createFilterSettings(): \Kufer\Web\KuferTools\Utils\FilterSettings\IFilterSettings
  {
    return KursorteFilterSettingsHelper::createMitarbeiterRaumUebersicht($this->getUser(), $this->toolSettings);
  }
}